Updates the public display settings for a dashboard including global filter visibility and fixed filter values.
Use this endpoint to configure how a public dashboard displays to viewers. Settings include
global filter visibility (Show/Hide/Fixed), fixed place/group selection, commodity display, and cost/use/GHG toggles.
Map dashboards always have filter visibility forced to Hidden. Requires PublicDashboardsOrMaps Manage permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| dashboardId | Unique numeric identifier of the dashboard | integer (int32) | Required |
Request Body
DashboardGlobalSettingsEditV202208
| Property | Description | Type |
|---|---|---|
| globalFilterVisibility | Visibility of dashboard filter. Valid values are Show, Hide, or Fixed. If settings are applied to a Map dashboard, this is automatically set to Fixed, and any other filter settings are automatically nulled. Show - Filter controls will be show on the dashboard, filter can be temporarily set by anybody who can view the dashboard, including public viewers. Hide - Filter controls will be hidden, manual filtering will be disabled, dashboard will be filtered using the topmost place of the user who applies the settings Fixed - Filter controls will be hidden, dashboard will be filtered using the specified Topmost Place or Building Group. PlaceID or PlaceGroupID are required when this field is set to Fixed. One of ‘Show’, ‘Hide’, ‘Fixed’ | string |
| placeGroupId | The Identifier for the Building Group the dashboard should filter by. Required when GlobalFilterVisibility is Fixed. Set to null if GlobalFilterVisibility is set to Show or Hide. Only one of PlaceID, PlaceGroupID can be set | integer (int32) |
| placeId | The Identifier for the Topmost Place the dashboard should filter by. Required when GlobalFilterVisibility is Fixed. Set to null if GlobalFilterVisibility is set to Show or Hide. Only one of PlaceID, PlaceGroupID can be set | integer (int32) |
| showInfo | Flag to indicate if title/description should be displayed Required (defined) | boolean |
| showLinks | Flag to indicate if public-facing links to the application should be displayed Required (defined) | boolean |
Example Request Body
{ "globalFilterVisibility": "string", "placeGroupId": 1, "placeId": 1, "showInfo": false, "showLinks": false
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
DashboardResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| createdBy | UserChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| createdDate | The date and time the dashboard was created | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| dashboardGlobalSettings | DashboardGlobalSettingsV202208 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
DashboardGlobalSettingsV202208 properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| dashboardId | The dashboard identifier | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| dashboardInfo | The dashboard info | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| description | The dashboard description | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| key | If the dashboard is public, this value holds the public key that allows the dashboard to be embedded | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastViewed | The date and time of the last time this dashboard was viewed by the caller | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| modifiedDate | The date and time of the most recent modification | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| public | Flag to indicate if the dashboard is public | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| shared | Flag to indicate if the dashboard is shared at all This means the dashboard is shared with everyone, shared with a user, or shared with a user group | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| type | The dashboard type | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| visible | Flag to indicate if dashboard should show in the caller’s tree | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-06-29", "dashboardGlobalSettings": { "buildingGroup": { "autoGroup": false, "placeGroupCode": "string", "placeGroupId": 1, "placeGroupInfo": "string", "userDefinedAutoGroup": false
}, "globalFilterType": "string", "globalFilterVisibility": "string", "showInfo": false, "showLinks": false, "topmostPlace": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": {}
}
}, "dashboardId": 1, "dashboardInfo": "string", "description": "string", "key": "string", "lastViewed": "2026-06-29", "modifiedDate": "2026-06-29", "public": false, "shared": false, "type": "string", "visible": false
}
404
Not Found
The requested resource was not found. Verify the ID or path is correct.